package ai.guiji.live.app.observer;

// 抽象管理者，需要自己实现管理方法
public interface IObservable<T> {

    void add(IObserver<T> observer);//添加观察者

    void remove(IObserver<T> observer);//删除观察者

    void clear();

    void notify(String message, T obj);//通知观察者
}
