package ai.guiji.live.app.pojo;

import java.io.Serializable;

/**
 * 数字人下面有多个场景
 */
public class SceneInfo implements Serializable {

    public int id;
    public String sceneName;
    public String sceneCode;
    public int sceneType;       // 对应开播的matting字段, sceneType=0 -> matting=1 ,sceneType=1 -> matting=0
    public String coverUrl;
    public String videoCoverUrl;
    public String originalModelPath;

    @Override
    public String toString() {
        return "SceneInfo{" +
                "id=" + id +
                ", sceneName='" + sceneName + '\'' +
                ", sceneCode='" + sceneCode + '\'' +
                ", sceneType=" + sceneType +
                ", coverUrl='" + coverUrl + '\'' +
                ", videoCoverUrl='" + videoCoverUrl + '\'' +
                ", originalModelPath='" + originalModelPath + '\'' +
                '}';
    }
}
