package ai.guiji.live.app;

public class Constant {

    public static final String BASE_URL = BuildConfig.BASE_URL;
    public static final String IMG_BASE_URL = BuildConfig.IMG_BASE_URL;
    public static final String MQTT_URL = BuildConfig.MQTT_URL;


    public static final String API_ACCESS_TOKEN = BASE_URL + "live-manager/open/accessToken";
    public static final String API_LIST_LIVE = BASE_URL + "live-manager/live/listLive?token=%s";
    public static final String API_LIST_MARKET = BASE_URL + "live-manager/live/v3/listMarket?token=%s";
    public static final String API_LIST_PRIVATE_V2 = BASE_URL + "live-manager/live/v3/listPrivate";
    public static final String API_LIST_TTS_MODEL = BASE_URL + "live-manager/live/ttsModel/billing?token=%s";
    public static final String API_SYNC_SYNTHESIS_WAV_CHANGE_VOICE = BASE_URL + "live-manager/material/syncSynthesisWavAndChangeVoice";

    public static final String UPDATE_LIVE = BASE_URL + "live-manager/live/updateLive";
    public static final String CREATE_OR_UPDATE_LIVE = BASE_URL + "/live-manager/live/createOrUpdateLive";

    public static final String QUERY_SCENE_DETAILS = BASE_URL + "live-manager/live/querySceneDetailsByCode?sceneCode=%s";

    // "http://192.168.6.56:8080/"
    public static final String REGISTER_TOPIC = BASE_URL + "live-manager/openApi/live/createLiveSession";
}
