package ai.guiji.live.app.pojo;

/**
 * 设置的直播的驱动方式
 */
public enum LiveMode {
    NONE(0),
    RECORD(1),
    MUSIC(2),
    ;
    final int code;

    LiveMode(int code) {
        this.code = code;
    }

    public int getCode() {
        return code;
    }

    public static LiveMode getFromCode(int code) {
        for (LiveMode item : LiveMode.values()) {
            if (item.code == code) {
                return item;
            }
        }
        return NONE;
    }

}
